Skip to main content
`Ctrl`+`K`

# KSPMINRESSetUseQLP

Use the QLP variant of `KSPMINRES`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMINRESSetUseQLP(KSP ksp, PetscBool qlp)

Logically Collective

## Input Parameters

- ksp - the iterative context

- qlp - a Boolean indicating if the QLP variant should be used

## Note

By default, the QLP variant is not used.

## See Also

KSP: Linear System Solvers, `KSP`, `KSPMINRES`, `KSPMINRESGetUseQLP()`

## Level

beginner

## Location

src/ksp/ksp/impls/minres/minres.c

## Implementations

KSPMINRESSetUseQLP_MINRES() in src/ksp/ksp/impls/minres/minres.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages